version: '3.8'

services:
  db:
    image: postgres:12.1-alpine
    container_name: dach_db
    restart: always
#    healthcheck:
#      test: ["CMD", "pg_isready", "-U", "dach"]
    env_file:
      - ./db.env
    volumes:
      - ./postgres:/var/lib/postgresql/data

  web:
    container_name: dachan.fun
    healthcheck:
      test:
        [
          "CMD-SHELL",
          "wget -q --spider --proxy=off localhost:1337 || exit 1",
        ]
    restart: always
    ports:
      - '1337:1337'
    build:
      context: .

      # Feel free to remove or override this section
      # See 'Build-time variables' in README.md
      args:
        - "UID=911"
        - "GID=911"
#    volumes:
#      - ./uploads:/var/lib/pleroma/uploads
    env_file:
      - ./web.env
    depends_on:
      - db

